KDE 4.9 PyKDE API Reference

- KDE's Python API

# KPtyProcess Class Reference

`from PyKDE4.kdecore import *`

Inherits: KProcess → QProcess → QIODevice → QObject

## Detailed Description

## Enumerations

PtyChannelFlag | { NoChannels, StdinChannel, StdoutChannel, StderrChannel, AllOutputChannels, AllChannels }

## Methods

| __init__ (self, QObject a0=0)
bool | isUseUtmp (self)
KPtyDevice | pty (self)
KPtyProcess.PtyChannels | ptyChannels (self)
| setPtyChannels (self, KPtyProcess.PtyChannels a0)
| setUseUtmp (self, bool a0)
| setupChildProcess (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | a0=0
| ) |  |  |

bool isUseUtmp | ( |  | self ) |

KPtyDevice pty | ( |  | self ) |

KPtyProcess.PtyChannels ptyChannels | ( |  | self ) |

setPtyChannels | ( | self, |
|  | KPtyProcess.PtyChannels | a0
| ) |  |  |

setUseUtmp | ( | self, |
|  | bool | a0
| ) |  |  |

setupChildProcess | ( |  | self ) |

## Enumeration Documentation

PtyChannelFlag

Enumerator:

  NoChannels |
  StdinChannel |
  StdoutChannel |
  StderrChannel |
  AllOutputChannels |
  AllChannels |